umbrello: CPPSourceCodeAccessorMethod Class Reference

umbrello 25.08.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
CPPSourceCodeAccessorMethod Class Reference

`#include <cppsourcecodeaccessormethod.h>`

Inheritance diagram for CPPSourceCodeAccessorMethod:

## Public Member Functions
| CPPSourceCodeAccessorMethod (CodeClassField *field, CodeAccessorMethod::AccessorType type)
virtual | ~CPPSourceCodeAccessorMethod ()
void | update ()
virtual void | updateMethodDeclaration ()
virtual void | updateContent ()
Public Member Functions inherited from CodeAccessorMethod
| CodeAccessorMethod (CodeClassField *field)
virtual | ~CodeAccessorMethod ()
CodeClassField * | getParentClassField ()
AccessorType | getType ()
void | setType (AccessorType type)
bool | parentIsAttribute ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeMethodBlock
| CodeMethodBlock (ClassifierCodeDocument *doc, UMLObject *parentObj, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeMethodBlock ()
virtual QString | toString () const
QString | getStartMethodText () const
QString | getEndMethodText () const
CodeDocument * | getParentDocument ()
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
void | setOverallIndentationLevel (int level)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
bool | canDelete () const
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Public Types inherited from CodeAccessorMethod
enum | AccessorType { GET =0 , SET , ADD , REMOVE , LIST }
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from CodeMethodBlock
virtual void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from CodeAccessorMethod
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
void | forceRelease ()
Protected Member Functions inherited from CodeMethodBlock
void | setStartMethodText (const QString &value)
void | setEndMethodText (const QString &value)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)

## Constructor & Destructor Documentation

## ◆ CPPSourceCodeAccessorMethod()

CPPSourceCodeAccessorMethod::CPPSourceCodeAccessorMethod | ( | CodeClassField * | field,
|  | CodeAccessorMethod::AccessorType | type )

Empty Constructor

## ◆ ~CPPSourceCodeAccessorMethod()

CPPSourceCodeAccessorMethod::~CPPSourceCodeAccessorMethod | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ update()

void CPPSourceCodeAccessorMethod::update | ( |  | ) |

Must be called before this object is usable

## ◆ updateContent()

void CPPSourceCodeAccessorMethod::updateContent | ( |  | ) |
| virtual

This is the method called from within syncToparent() to update the *body* of the method. It is only called if the method is Auto-generated.

Implements CodeAccessorMethod.

## ◆ updateMethodDeclaration()

void CPPSourceCodeAccessorMethod::updateMethodDeclaration | ( |  | ) |
| virtual

This is the method called from within syncToparent(). To update the start and end Method text. It is called whether or not the method is Auto or User generated.

Implements CodeAccessorMethod.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppsourcecodeaccessormethod.h
- umbrello/codegenerators/cpp/cppsourcecodeaccessormethod.cpp